Loading...
Searching...
No Matches
casacore::SDSysCalHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDSysCalHandler.h>`

## Public Member Functions

| SDSysCalHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDSysCalHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - mark fields in row as handled
| SDSysCalHandler (const SDSysCalHandler &other)
| copy ctor
| ~SDSysCalHandler ()
SDSysCalHandler & | operator= (const SDSysCalHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, mark fields in row as handled
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS
void | fill (const Record &row, Int antennaId, Int feedId, Int spectralWindowId, Double time, Vector< Double > timeRange, uInt numReceptors)
| fill - a new row is added as necessary, there is no lookback to see if a row could be reused.

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| cleanup row-related stuff
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| intialize the row related stuff

## Private Attributes

MSSysCal * | msSysCal_p
MSSysCalColumns * | msSysCalCols_p
Int | rownr_p
uInt | nrecpt_p
Int | tcalId_p
Int | tsysId_p
Int | trxId_p
Bool | hasTsysCol_p
Bool | hasTcalCol_p
Bool | hasTrxCol_p
RORecordFieldPtr< Double > | intervalField_p
| fields which come from a previous incarnation as a MS
RORecordFieldPtr< Double > | timeField_p
RORecordFieldPtr< Float > | phaseDiffField_p
RORecordFieldPtr< Bool > | tcalFlagField_p
RORecordFieldPtr< Bool > | trxFlagField_p
RORecordFieldPtr< Bool > | tsysFlagField_p
RORecordFieldPtr< Bool > | phaseDiffFlagField_p
RORecordFieldPtr< Array< Float > > | tcalField_p
RORecordFieldPtr< Array< Float > > | trxField_p
RORecordFieldPtr< Array< Float > > | tsysField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 83 of file SDSysCalHandler.h.

## Constructor & Destructor Documentation

## SDSysCalHandler() [1/3]

casacore::SDSysCalHandler::SDSysCalHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDSysCalHandler().

## SDSysCalHandler() [2/3]

casacore::SDSysCalHandler::SDSysCalHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - mark fields in row as handled

References casacore::Record().

## SDSysCalHandler() [3/3]

casacore::SDSysCalHandler::SDSysCalHandler | ( | const SDSysCalHandler & | other | ) |

copy ctor

References SDSysCalHandler().

## ~SDSysCalHandler()

casacore::SDSysCalHandler::~SDSysCalHandler | ( |  | ) |

inline

Definition at line 95 of file SDSysCalHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDSysCalHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, mark fields in row as handled

References casacore::Record().

## clearAll()

void casacore::SDSysCalHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDSysCalHandler().

## clearRow()

void casacore::SDSysCalHandler::clearRow | ( |  | ) |

private

cleanup row-related stuff

## fill()

void casacore::SDSysCalHandler::fill | ( | const Record & | row,
|  | Int | antennaId,
|  | Int | feedId,
|  | Int | spectralWindowId,
|  | Double | time,
|  | Vector< Double > | timeRange,
|  | uInt | numReceptors )

fill - a new row is added as necessary, there is no lookback to see if a row could be reused.

Only the current row might be reused.

References casacore::Record(), and casacore::time().

## initAll()

void casacore::SDSysCalHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDSysCalHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

intialize the row related stuff

References casacore::Record().

## operator=()

SDSysCalHandler & casacore::SDSysCalHandler::operator= | ( | const SDSysCalHandler & | other | ) |

assignment operator, uses copy semantics

References SDSysCalHandler().

## resetRow()

void casacore::SDSysCalHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## Member Data Documentation

## hasTcalCol_p

Bool casacore::SDSysCalHandler::hasTcalCol_p

private

Definition at line 120 of file SDSysCalHandler.h.

## hasTrxCol_p

Bool casacore::SDSysCalHandler::hasTrxCol_p

private

Definition at line 120 of file SDSysCalHandler.h.

## hasTsysCol_p

Bool casacore::SDSysCalHandler::hasTsysCol_p

private

Definition at line 120 of file SDSysCalHandler.h.

## intervalField_p

RORecordFieldPtr<Double> casacore::SDSysCalHandler::intervalField_p

private

fields which come from a previous incarnation as a MS

Definition at line 123 of file SDSysCalHandler.h.

## msSysCal_p

MSSysCal* casacore::SDSysCalHandler::msSysCal_p

private

Definition at line 111 of file SDSysCalHandler.h.

## msSysCalCols_p

MSSysCalColumns* casacore::SDSysCalHandler::msSysCalCols_p

private

Definition at line 112 of file SDSysCalHandler.h.

## nrecpt_p

uInt casacore::SDSysCalHandler::nrecpt_p

private

Definition at line 116 of file SDSysCalHandler.h.

## phaseDiffField_p

RORecordFieldPtr<Float> casacore::SDSysCalHandler::phaseDiffField_p

private

Definition at line 124 of file SDSysCalHandler.h.

## phaseDiffFlagField_p

RORecordFieldPtr<Bool> casacore::SDSysCalHandler::phaseDiffFlagField_p

private

Definition at line 125 of file SDSysCalHandler.h.

## rownr_p

Int casacore::SDSysCalHandler::rownr_p

private

Definition at line 114 of file SDSysCalHandler.h.

## tcalField_p

RORecordFieldPtr<Array<Float> > casacore::SDSysCalHandler::tcalField_p

private

Definition at line 126 of file SDSysCalHandler.h.

## tcalFlagField_p

RORecordFieldPtr<Bool> casacore::SDSysCalHandler::tcalFlagField_p

private

Definition at line 125 of file SDSysCalHandler.h.

## tcalId_p

Int casacore::SDSysCalHandler::tcalId_p

private

Definition at line 118 of file SDSysCalHandler.h.

## timeField_p

RORecordFieldPtr<Double> casacore::SDSysCalHandler::timeField_p

private

Definition at line 123 of file SDSysCalHandler.h.

## trxField_p

RORecordFieldPtr<Array<Float> > casacore::SDSysCalHandler::trxField_p

private

Definition at line 126 of file SDSysCalHandler.h.

## trxFlagField_p

RORecordFieldPtr<Bool> casacore::SDSysCalHandler::trxFlagField_p

private

Definition at line 125 of file SDSysCalHandler.h.

## trxId_p

Int casacore::SDSysCalHandler::trxId_p

private

Definition at line 118 of file SDSysCalHandler.h.

## tsysField_p

RORecordFieldPtr<Array<Float> > casacore::SDSysCalHandler::tsysField_p

private

Definition at line 126 of file SDSysCalHandler.h.

## tsysFlagField_p

RORecordFieldPtr<Bool> casacore::SDSysCalHandler::tsysFlagField_p

private

Definition at line 125 of file SDSysCalHandler.h.

## tsysId_p

Int casacore::SDSysCalHandler::tsysId_p

private

Definition at line 118 of file SDSysCalHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDSysCalHandler.h